SeExpr

Signals | Public Member Functions | List of all members
DeepWaterGraphicsView Class Reference

`#include <ExprDeepWater.h>`

Inheritance diagram for DeepWaterGraphicsView:

## Signals
void | resizeSignal (int width, int height)

## Public Member Functions
| DeepWaterGraphicsView ()
| ~DeepWaterGraphicsView ()
virtual void | resizeEvent (QResizeEvent *event)

## Detailed Description

Definition at line 161 of file ExprDeepWater.h.

## Constructor & Destructor Documentation

## ◆ DeepWaterGraphicsView()

DeepWaterGraphicsView::DeepWaterGraphicsView | ( |  | ) |
| inline

Definition at line 164 of file ExprDeepWater.h.

## ◆ ~DeepWaterGraphicsView()

DeepWaterGraphicsView::~DeepWaterGraphicsView | ( |  | ) |
| inline

Definition at line 168 of file ExprDeepWater.h.

## Member Function Documentation

## ◆ resizeEvent()

void DeepWaterGraphicsView::resizeEvent | ( | QResizeEvent * | event | ) |
| virtual

Definition at line 34 of file ExprDeepWater.cpp.

References resizeSignal().

## ◆ resizeSignal

void DeepWaterGraphicsView::resizeSignal | ( | int | width,
|  | int | height
| ) |  |
| signal

Referenced by resizeEvent().

The documentation for this class was generated from the following files:

- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ExprDeepWater.h
- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ExprDeepWater.cpp